Name:           adaptived
Version:        1.0.1
Release:        1%{?dist}
Summary:        Adaptived cause-and-effect daemon
License:        GPLv2
URL:            https://github.com/oracle/adaptivemm
Source0:        %{url}/releases/download/adaptived-v%{version}/%{name}-%{version}.tar.gz

# Oracle-specific patches
Patch1001: 1001-disable-gtests.patch

BuildRequires: json-c, json-c-devel, systemd, systemd-devel, automake
BuildRequires:  gcc
BuildRequires:  gperf
BuildRequires:  make
Requires: json-c, systemd

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Adaptived is a simple cause-and-effect daemon for the Linux operating system.  It
is designed to allow a user to construct a series of rules to automate tasks.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
mkdir -p %{buildroot}/%{_sbindir}
mkdir -p %{buildroot}/%{_libdir}
mkdir -p %{buildroot}/%{_includedir}
mkdir -p %{buildroot}/%{_mandir}

%make_install

rm -f %{buildroot}/%{_libdir}/libadaptived.a

# Since the devel RPM is disabled, delete its files
rm -f %{buildroot}/%{_includedir}/adaptived.h
rm -f %{buildroot}/%{_includedir}/adaptived-utils.h
rm -f %{buildroot}/%{_libdir}/libadaptived.so*
rm -f %{buildroot}/%{_libdir}/libadaptived.la*

%files
%license LICENSE.txt THIRD_PARTY_LICENSES.txt
%doc CONTRIBUTING.md README.md SECURITY.md
%{_sbindir}/adaptived

%changelog
* Mon Feb 24 2025 Tom Hromatka <tom.hromatka@oracle.com> 1.0.1
- Update to v1.0.1 of upstream adaptived
* Fri Nov 08 2024 Tom Hromatka <tom.hromatka@oracle.com> 1.0.0
- Initial release
- Delete the devel build RPM
- Disable the automated tests in the spec file
